Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class ReturnReceipt

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.Memo
                  com.compoze.domino.ReturnReceipt

All Implemented Interfaces:
  java.io.Serializable

public class ReturnReceipt
extends Memo
implements java.io.Serializable

This class is a Domino return receipt. Return receipt instances are obtained from the `Documents` class. Methods that access properites on the class require that the properties were loaded beforehand, when the message was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server, and require that the `PropertyKey.DOCUMENT_ID` and `PropertyKey.DOCUMENT_TYPE` properties to be loaded beforehand. Any additional property requirements are indicated on each individual method.

See Also:
  Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on a return receipt.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`java.util.Date` | `getDeliveryDate()` Gets the delivery date.
`java.lang.String` | `getDeliveryDateString(java.text.DateFormat dateFormat)` Gets the delivery date for the document formatted with the specified date format.
`java.lang.String` | `getIntendedRecipient()` Gets the intended recipient.
`java.lang.String` | `getOriginalSubject()` Gets the original subject.
`java.lang.String` | `getSubject()` Gets the subject of the return receipt.
`java.lang.String` | `getSubject(java.util.Locale locale)` Gets the subject of the return receipt.

Methods inherited from class com.compoze.domino.Memo
`getBody, getBodyHtml, getBodyHtml, getBodyStoredFormHtml, getBodyStoredFormHtml, getDeliveredDate, getDeliveredDateString, getDeliveryPriority, getDeliveryReportLevel, getFollowUpDate, getFollowUpStatus, getFollowUpText, getImportance, getMemoDate, getMemoDateString, getNormalizedSubject, getPostedDate, getPostedDateString, getPreventCopy, getRecipientInfoArray, getReturnReceipt, getSenderInfo, getSenderName, getSubject, getSubject, getUnread, isEncrypted, serverForward, serverReply, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverUpdate, serverUpdate, setBody, setBodyHtml, setDeliveryPriority, setDeliveryReportLevel, setFollowUpDate, setFollowUpStatus, setFollowUpText, setImportance, setPreventCopy, setReturnReceipt, setSubject, setUnread`

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on a return receipt. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### getSubject

    public java.lang.String getSubject()
                                throws DominoException

  Gets the subject of the return receipt.

  Overrides:
    `getSubject` in class `Memo`
  Returns:
    the subject of the return receipt
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SUBJECT`

### getSubject

    public java.lang.String getSubject(java.util.Locale locale)
                                throws DominoException

  Gets the subject of the return receipt.

  Overrides:
    `getSubject` in class `Memo`
  Parameters:
    `locale` - the locale
  Returns:
    the subject of the return receipt
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SUBJECT`

### getOriginalSubject

    public java.lang.String getOriginalSubject()
                                        throws DominoException

  Gets the original subject.

  Returns:
    the original subject
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.ORIGINAL_SUBJECT`, `PropertyKey.SUBJECT`

### getIntendedRecipient

    public java.lang.String getIntendedRecipient()
                                          throws DominoException

  Gets the intended recipient.

  Returns:
    the intended recipient
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.INTENDED_RECIPIENT`

### getDeliveryDate

    public java.util.Date getDeliveryDate()
                                   throws DominoException

  Gets the delivery date.

  Returns:
    the delivery date
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DELIVERY_DATE`

### getDeliveryDateString

    public java.lang.String getDeliveryDateString(java.text.DateFormat dateFormat)
                                           throws DominoException

  Gets the delivery date for the document formatted with the specified date format.

  Parameters:
    `dateFormat` - the date format (may not be `null`)
  Returns:
    the delivery date for the document or empty string if delivery date property is `null`
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DELIVERY_DATE`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.